Skip to main content
POST
/
v1
/
leads
/
search
Search Leads via Query
curl --request POST \
  --url https://api.preceptai.co.uk/v1/leads/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "Marketing heads at SaaS companies in California",
  "webhookUrl": "https://your-site.com/webhook",
  "limit": 50,
  "enrichType": [
    "emails",
    "phones"
  ],
  "findInsights": true,
  "name": "California SaaS Marketing Heads",
  "includeContactDetails": false
}
'
{
  "message": "Enrichment job successfully created and batches are being processed.",
  "enrichment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
query
string
required

Natural language query to search for leads (e.g. 'Software architects at tech companies in London').

webhookUrl
string<uri>
required

Your webhook URL to receive the result of the lead search operations.

limit
integer

Maximum number of leads to return (up to 1000).

Required range: x <= 1000
enrichType
enum<string>[]

The type of data to find. Possible values: emails, phones.

Available options:
emails,
phones
findInsights
boolean

Generate AI insights (summary, top problems, strategic initiatives, public appearances) for each lead. Charges 1.1 credits per lead if true, else 0.1 credits.

name
string

A readable name for your enrichment job for searching on your dashboard.

includeContactDetails
boolean

Whether to include contact details (email and phone) for the discovered leads. If true, the webhook results will map back these fields as enrich_email and enrich_phone.

postInteractionKeywords
string[]

Enable activity-based filtering to find leads who have recently posted or interacted with specific topics. Provide an array of up to 5 keywords or phrases.

Maximum array length: 5

Response

Request accepted. The enrichment is in progress. The response will vary based on whether all leads could be processed.

message
string
Example:

"Enrichment job successfully created and batches are being processed."

enrichment_id
string<uuid>